Bug 1317386 - (CVE-2016-3135) CVE-2016-3135 kernel: netfilter: size overflow in x_tables
CVE-2016-3135 kernel: netfilter: size overflow in x_tables
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160310,reported=2...
: Security
: 1320143 (view as bug list)
Depends On: 1317387
Blocks: 1317388 1320141
  Show dependency treegraph
 
Reported: 2016-03-14 03:50 EDT by Andrej Nemec
Modified: 2016-11-08 11:25 EST (History)
35 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An integer overflow vulnerability was found in the Linux kernel in xt_alloc_table_info, which on 32-bit systems can lead to small structure allocation and a copy_from_user based heap corruption.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 11:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-03-14 03:50:57 EDT
An integer overflow vulnerability was found in xt_alloc_table_info, which on 32-bit systems can lead to small structure allocation and a copy_from_user based heap corruption.

Proposed fix:

patch v1 message: http://marc.info/?l=netfilter-devel&m=145757136822750&w=2
patch v1  thread: http://marc.info/?t=145757149700001&r=1&w=2

patch v2 message: http://marc.info/?l=netfilter-devel&m=145800533813758&w=2 (in netfilter-devel)
patch v2 message: http://marc.info/?l=linux-netdev&m=145800538413781&w=2 (in linux-netdev)

CVE request and assignment:

http://seclists.org/oss-sec/2016/q1/581
http://seclists.org/oss-sec/2016/q1/619
Comment 1 Andrej Nemec 2016-03-14 03:51:50 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1317387]
Comment 4 Vladis Dronov 2016-03-17 11:10:06 EDT
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, as the code with the flaw is not present in the products listed.

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2, as 32-bit versions of the products listed are not shipped by the Red Hat.
Comment 5 Petr Matousek 2016-03-22 08:48:28 EDT
*** Bug 1320143 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Update System 2016-03-23 18:25:34 EDT
kernel-4.4.6-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-03-23 20:00:36 EDT
kernel-4.4.6-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-04-01 20:41:28 EDT
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-04-02 11:49:10 EDT
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.